# ApplicationFramework
TKLCAF
TDataStd

# TDataStd_HDataMapOfStringString Class Reference

Extension of TDataStd_DataMapOfStringString class
to be manipulated by handle.
.

`#include <TDataStd_HDataMapOfStringString.hxx>`

## Public Member Functions

Standard_EXPORT | TDataStd_HDataMapOfStringString (const Standard_Integer NbBuckets=1)
Standard_EXPORT | TDataStd_HDataMapOfStringString (const TDataStd_DataMapOfStringString &theOther)
const TDataStd_DataMapOfStringString & | Map () const
TDataStd_DataMapOfStringString & | ChangeMap ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

TDataStd_DataMapOfStringString | myMap

## Constructor & Destructor Documentation

Standard_EXPORT TDataStd_HDataMapOfStringString::TDataStd_HDataMapOfStringString | ( | const Standard_Integer | NbBuckets = `1` | ) |

Standard_EXPORT TDataStd_HDataMapOfStringString::TDataStd_HDataMapOfStringString | ( | const TDataStd_DataMapOfStringString & | theOther | ) |

## Member Function Documentation

TDataStd_DataMapOfStringString & TDataStd_HDataMapOfStringString::ChangeMap | ( |  | ) | `[inline]`

Standard_EXPORT const TDataStd_HDataMapOfStringString::Handle | ( | Standard_Type |  | ) | const

const TDataStd_DataMapOfStringString & TDataStd_HDataMapOfStringString::Map | ( |  | ) | const`[inline]`

## Field Documentation

TDataStd_DataMapOfStringString TDataStd_HDataMapOfStringString::myMap `[private]`

The documentation for this class was generated from the following files:

- TDataStd_HDataMapOfStringString.hxx
- TDataStd_HDataMapOfStringString.lxx